#{extends 'borderNG.html' /}

<ol class="breadcrumb">
	<li><a href="@{admin.PanitiaCtr.index()}">&{'panitia.daftaranggota'}</a></li>
	<li><a href="@{admin.PanitiaCtr.edit(panitia.pnt_id)}">${panitia.pnt_nama}</a></li>
	<li class="active">Pilih Pegawai</li>
</ol>

<div class="content">
    <div class="alert alert-warning">
		&{'panitia.jumlahpokja'} ${jumlahAnggota}
    </div>

	#{alert /}
<div class="page-header"><strong>&{'panitia.pegawai'} :&nbsp;${ukpbj.nama}</strong></div>

#{form @admin.PanitiaCtr.simpanAnggota(panitia.pnt_id), method:'POST', id:'form-tambah-anggota-panitia'}
	<input type="hidden" name="panitiaId" value="${panitia.pnt_id}"/>
	<table id="tblPanitia" class="table table-sm">
		<thead>
		<tr>
			<th class="text-center"><input type="checkbox" name="checkall" class="checkall"/></th>
			<th>&{'panitia.namaa'}</th>
			<th>&{'panitia.namauser'}</th>
			<th>&{'panitia.nip'}</th>
		</tr>
		</thead>
		<tbody>
		</tbody>
	</table>
	<div class="form-check">
		<input type="checkbox" class="form-check-input checkall"><label class="form-check-label">Pilih Semua</label>
	</div>
	<div class="padding2">
        #{saveButton /}
        #{backButton title:'Kembali', action:@admin.PanitiaCtr.edit(panitia.pnt_id) /}
	</div>
#{/form}
</div>

#{set 'css_custom' } 
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript" src="#{assets '/js/save-confirm.js'/}"></script>
<script type="text/javascript">
	$(document).ready(function () {
		var selected = [];

		var table = $("#tblPanitia").DataTable({
			order: [[0, "desc"]],
			ajax: "@{DataTableCtr.calonAnggotaPanitia(ukpbj.ukpbj_id, panitia.pnt_id)}",
			columns: [
				{
					sortable: false,
					render: function (data, type, row) {
						var id = row[0];
						return "<center><input name='chkPegawai' type='checkbox' class='checkbox chkPegawai' value='" + id + "' /></center>";
					}
				}, null, null, null
			],
			rowCallback: function (row, data) {
				// Set the checked state of the checkbox in the table
				var peg_id = data[0];
				if ($.inArray(peg_id, selected) !== -1) {
					$('input.chkPegawai', row).prop('checked', true);
					$(row).addClass('selected');
				}
			}
		});

		// Handle click on checkbox
		$('#tblPanitia').on('click', '.chkPegawai', function (e) {
			var $row = $(this).closest('tr');
			var id = $(this).val();

			// Get row data
			var data = table.row($row).data();
			// Get row ID
			var rowId = data[0];
			inputSelected(rowId, this.checked);

			if (this.checked) {
				$row.addClass('selected');
			} else {
				$row.removeClass('selected');
			}

			// Update state of "Select all" control
			updateDataTableSelectAllCtrl(table);

			// Prevent click event from propagating to parent
			e.stopPropagation();
		});

		function inputAll(isChecked) {
            table.rows().eq(0).each( function ( index ) {
                var row = table.row( index );
                var data = row.data();
                inputSelected(data[0], isChecked);
            });
		}

		function inputSelected(rowId, isChecked) {
            // Determine whether row ID is in the list of selected row IDs
            var index = $.inArray(rowId, selected);
            // If checkbox is checked and row ID is not in list of selected row IDs
            if (isChecked && index === -1) {
                selected.push(rowId);
            } else if (!isChecked && index !== -1) {
                selected.splice(index, 1);
            }
		}

		// Handle click on table cells with checkboxes
		$('#datatable').on('click', 'tbody td, thead th:first-child', function (e) {
			$(this).parent().find('.chkPegawai').trigger('click');
		});

		// Handle click on "Select all" control
		$('thead input[name="checkall"]', table.table().container()).on('click', function (e) {
			if (this.checked) {
				$('.chkPegawai:not(:checked)').trigger('click');
			} else {
				$('.chkPegawai:checked').trigger('click');
			}
			inputAll(this.checked);
			// Prevent click event from propagating to parent
			e.stopPropagation();
		});

		// Handle table draw event
		table.on('draw', function () {
			// Update state of "Select all" control
			updateDataTableSelectAllCtrl(table);
		});

		// Handle form submission event
		$("#form-tambah-anggota-panitia").on('submit', function (e) {
			var form = $(this);

			// Iterate over all selected checkboxes
			$.each(selected, function (index, rowId) {
				// Create a hidden element
				$(form).append($('<input type="hidden" name="peg_id" value="' + rowId + '"/>'));
			});
		});


		$('.checkall').on('click', function () {
			var rows = table.rows({'search': 'applied'}).nodes();
			$('.chkPegawai', rows).prop('checked', this.checked);
		});

		function updateDataTableSelectAllCtrl(table) {
			var $table = table.table().node();
			var $chkbox_all = $('tbody .chkPegawai', $table);
			var $chkbox_checked = $('tbody .chkPegawai:checked', $table);
			var chkbox_select_all = $('thead input[name="checkall"]', $table).get(0);

			// If none of the checkboxes are checked
			if ($chkbox_checked.length === 0) {
				chkbox_select_all.checked = false;
				if ('indeterminate' in chkbox_select_all) {
					chkbox_select_all.indeterminate = false;
				}

				// If all of the checkboxes are checked
			} else if ($chkbox_checked.length === $chkbox_all.length) {
				chkbox_select_all.checked = true;
				if ('indeterminate' in chkbox_select_all) {
					chkbox_select_all.indeterminate = false;
				}

				// If some of the checkboxes are checked
			} else {
				chkbox_select_all.checked = true;
				if ('indeterminate' in chkbox_select_all) {
					chkbox_select_all.indeterminate = true;
				}
			}
		}

	});
</script>
#{/set}

